Package ru.bitel.bgbilling.plugins.assistant.common.service

# Interface AssistantService

    public interface AssistantService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<AssistantActionItem>` | `assistantActions()` |
  `java.util.List<AssistantActionItem>` | `assistantActionsForUser​(int contractId)` |
  `void` | `deleteAssistantAction​(int assistantActionId)` |
  `java.lang.String` | `doButton​(java.lang.String actionId, java.lang.String data, java.lang.String button)` |
  `java.lang.String` | `doShow​(java.lang.String actionId, java.lang.String data)` |
  `AssistantAction` | `getAssistantAction​(int id)` |
  `AssistantAction` | `getAssistantActionByActionId​(java.lang.String actionId)` |
  `java.lang.String` | `getInterfaceName()` | Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
  `java.lang.String` | `getSuperclassName()` | Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
  `void` | `updateAssistantAction​(AssistantAction assistantAction)` |
  `void` | `updateSortListAssistantAction​(java.util.List<AssistantActionItem> assistantActions)` | Обновляет значение sort для сортировки

- ## Method Details

  - ### assistantActions

    java.util.List<AssistantActionItem> assistantActions() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### assistantActionsForUser

    java.util.List<AssistantActionItem> assistantActionsForUser​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getAssistantAction

    AssistantAction getAssistantAction​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateAssistantAction

    void updateAssistantAction​(AssistantAction assistantAction) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteAssistantAction

    void deleteAssistantAction​(int assistantActionId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getAssistantActionByActionId

    AssistantAction getAssistantActionByActionId​(java.lang.String actionId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getInterfaceName

    java.lang.String getInterfaceName()
    Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
    Returns:

  - ### getSuperclassName

    java.lang.String getSuperclassName()
    Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
    Returns:

  - ### doShow

    java.lang.String doShow​(java.lang.String actionId, java.lang.String data) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### doButton

    java.lang.String doButton​(java.lang.String actionId, java.lang.String data, java.lang.String button) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateSortListAssistantAction

    void updateSortListAssistantAction​(java.util.List<AssistantActionItem> assistantActions) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Обновляет значение sort для сортировки
    Parameters:
      `assistantActions` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`